---
title: llarp::LogSilencer
summary: RAII type to turn logging off logging is suppressed as long as the silencer is in scope. 

---

# llarp::LogSilencer



RAII type to turn logging off logging is suppressed as long as the silencer is in scope. 


`#include <logger.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[LogSilencer](Classes/structllarp_1_1LogSilencer.md#function-logsilencer)**() |
| | **[~LogSilencer](Classes/structllarp_1_1LogSilencer.md#function-~logsilencer)**() |
| | **[LogSilencer](Classes/structllarp_1_1LogSilencer.md#function-logsilencer)**([LogContext](Classes/structllarp_1_1LogContext.md) & ctx) |

## Public Functions Documentation

### function LogSilencer

```cpp
LogSilencer()
```


### function ~LogSilencer

```cpp
~LogSilencer()
```


### function LogSilencer

```cpp
explicit LogSilencer(
    LogContext & ctx
)
```


-------------------------------

Updated on 2022-05-31 at 14:31:01 +0000